Bug 537778 - Midnight commanded does not remember Options->Configuration.
Summary: Midnight commanded does not remember Options->Configuration.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: 11
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-16 10:46 UTC by Martin Cermak
Modified: 2013-07-02 23:40 UTC (History)
7 users (show)

Fixed In Version: 4.7.0-0.5.pre4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-16 01:14:39 UTC
Type: ---


Attachments (Terms of Use)
weird yellow chars on the left from "Name" (40.11 KB, image/png)
2010-01-06 03:59 UTC, Frantisek Hanzlik
no flags Details

Description Martin Cermak 2009-11-16 10:46:37 UTC
Description of problem:


Midnight commanded does not remember Options->Configuration.


How reproducible:

Always

Steps to Reproduce:
0. The "dot files" are visible in mc
1. Run mc, Set Options->Configuration->turn off "show Hidden Files"
2. Save setup
3. Leave mc
4. Run mc again
  
Actual results:

Dot files are visible in the list

Expected results:

Dot files are not included in the list

Additional info:

Comment 1 Martin Cermak 2009-11-16 10:49:07 UTC
I'm reporting this bug for mc-4.6.2-10.fc11.x86_64 package.

Comment 2 Fedora Update System 2009-12-11 09:39:24 UTC
mc-4.7.0-0.5.pre4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mc-4.7.0-0.5.pre4.fc12

Comment 3 Fedora Update System 2009-12-16 01:13:51 UTC
mc-4.7.0-0.5.pre4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Frantisek Hanzlik 2009-12-19 23:37:02 UTC
mc-4.7.0-0.5.pre4.fc12 : Still not OK.

Options -> Configuration -> "Verbose operation" isn't properly saved and is always "on".

Moreover, compared to previous mc-4.7.0-0.4.pre2.fc12, for my LANG=cs_CZ.UTF-8
locale settings, more than one half menu strings is now in English, remainder is correctly Czech.
Tested on F12 i386

Comment 5 Frantisek Hanzlik 2010-01-06 03:59:19 UTC
Created attachment 381908 [details]
weird yellow chars on the left from "Name"

mc-4.7.0.1-1.fc12.i686 : Options -> Configuration -> "Verbose operation" still isn't properly saved and is always "on"

Moreover, in some previous "pre-" version appeared on the left from "Name" strange yellow chars - probably single quotation mark (') and lower letter (mostly "n", but sometimes "m" - depends probably on contens ~/.mc/ directory). In actual mc-4.7.0.1-1.fc12.i686 are these weird chars too, I attach printscreen, there are in red circles.

Comment 6 Jindrich Novy 2010-01-06 07:33:27 UTC
Yes, I have also noticed the weird yellow title which was formerly simply "Name". It started to appear about a month ago.

Slava, is it intentional or has it any hidden meaning? :)

Comment 7 Slava Zanko 2010-01-06 07:50:49 UTC
> Yes, I have also noticed the weird yellow title which was formerly simply
"Name". It started to appear about a month ago.
> Slava, is it intentional or has it any hidden meaning?

Is you talk about panel header?

Try to run:
mc --skin=featured

Or consult with http://mail.gnome.org/archives/mc-devel/2010-January/msg00011.html page.

I hope you'll be pleasantly surprised ;)

Also, try to mouse click on any field header of column (click on yellow title). Mouse click will change sort type of panel content (same as F9 -> Left/Right -> Sort order).

So, strange new two symbols in first panel column it's a sort direction and a sort type indicators.

Comment 8 Slava Zanko 2010-01-06 08:12:41 UTC
> mc-4.7.0.1-1.fc12.i686 : Options -> Configuration -> "Verbose operation" still
isn't properly saved and is always "on"

Bugreport filled in upstream of mc development: http://www.midnight-commander.org/ticket/1940

Will fixed in near time. Thanks.


Note You need to log in before you can comment on or make changes to this bug.